%define module pyexcelerator
# we don't want to provide private python extension libs
%define __provides_exclude_from ^(%{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so)$

%define python3 0
 
Summary:       Generating Excel 97+ files
Name:          python-pyexcelerator
Version:       0.6.4.1
Release:       %mkrel 1
Group:         Development/Python
License:       LGPLv2+
URL:           https://pypi.python.org/pypi/pyExcelerator
Source0:       https://pypi.python.org/packages/source/p/pyexcelerator/%{module}-%{version}.tar.bz2
BuildRequires: python-devel

%if %python3
BuildRequires: python3-devel
%endif

BuildArch:     noarch

%description
Generating Excel 97+ files; importing Excel 95+ files; Excel files dumper; 
OLE2 files dumper; xls2txt, xls2csv, xls2html

%if %python3
%package -n python3-pyexcelerator
Summary:       Generating Excel 97+ files
Group:         Development/Python

%description -n python3-pyexcelerator
Generating Excel 97+ files; importing Excel 95+ files; Excel files dumper; 
OLE2 files dumper; xls2txt, xls2csv, xls2html
%endif

%prep
%setup -qn %{module}-%{version}

%if %python3
cp -a . %{py3dir}
%endif

%build
export CFLAGS="%{optflags}"
%{__python2} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build 
popd
%endif

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%if %python3
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif 

%files
%{python2_sitelib}/*

%if %python3
%files -n python3-pyexcelerator
%{python3_sitelib}/*
%endif



%changelog
* Mon May 22 2017 neoclust <neoclust> 0.6.4.1-1.mga6
+ Revision: 1104108
- imported package python-pyexcelerator

